{
	fetchFromGitHub ,
	pkgs ,
	stdenv ,
} :

with pkgs . python311Packages ;
with stdenv ;

mkDerivation {
	pname = "python-django-pgtrigger" ;
	version = "4.13.3" ;

	src = fetchFromGitHub {
		owner = "ambitioneng" ;
		repo = "django-pgtrigger" ;
		rev = "4.13.3" ;
		hash = "sha256-K+JjAermtSiVUnPbtyabpQN2ghnRIkwt329Ytp8zeQk=" ;
	} ;

	dontPatch = true ;
	dontConfigure = true ;
	dontBuild = true ;

	installPhase = ''
		runHook preInstall

		mkdir -p $out/lib/python3.11/site-packages/django_pgtrigger-4.13.3.dist-info
		mkdir -p $out/lib/python3.11/site-packages/pgtrigger

		# Dependencies

		ln -s ${django}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/
		ln -s ${psycopg}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/
		
		# The package itself

		cp $src/pgtrigger/*.py $out/lib/python3.11/site-packages/pgtrigger/
		cp -r $src/pgtrigger/management $out/lib/python3.11/site-packages/pgtrigger/

		# Metadata

		cat << EOF > $out/lib/python3.11/site-packages/django_pgtrigger-4.13.3.dist-info/METADATA
			Metadata-Version: 2.1
			Name: django-pgtrigger
			Version: 4.13.3
		EOF 

		runHook postInstall
	'' ;
}
