{
	fetchFromGitHub ,
	pkgs ,
	stdenv ,

	offlineCompilation ? false ,
	jinjaSupport ? false ,
} :

with pkgs . python311Packages ;
with stdenv ;

mkDerivation {
	pname = "python-django-sass-processor" ;
	version = "1.4.1" ;

	src = fetchFromGitHub {
		owner = "jrief" ;
		repo = "django-sass-processor" ;
		rev = "1.4.1" ;
		hash = "sha256-Z3UzzkHlMNiyhj7YPRDgAX0437BywPG/waNSPoNiKLo=" ;
	} ;

	dontPatch = true ;
	dontConfigure = true ;
	dontBuild = true ;

	installPhase = ''
		runHook preInstall

		mkdir -p $out/lib/python3.11/site-packages/sass_processor

		# Dependencies

		ln -s ${django}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/

		${ if offlineCompilation then ''
			ln -s ${django-compressor}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/
		'' else ''
			ln -s ${libsass}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/
		'' }

		${ if jinjaSupport then ''
			ln -s ${jinja2}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/
		'' else "" }

		# The package itself

		cp $src/sass_processor/*.py $out/lib/python3.11/site-packages/sass_processor/

		${ if offlineCompilation then ''
			cp -r $src/sass_processor/management $out/lib/python3.11/site-packages/sass_processor/
			cp -r $src/sass_processor/templatetags $out/lib/python3.11/site-packages/sass_processor/
		'' else "" }

		${ if jinjaSupport then ''
			cp -r $src/sass_processor/jinja2 $out/lib/python3.11/site-packages/sass_processor/
		'' else "" }

		runHook postInstall
	'' ;
}
