{
	fetchFromGitHub ,
	pkgs,
	stdenv ,
} :

with pkgs . python311Packages ;
with stdenv ;

mkDerivation {
	pname = "python-s3-tar" ;
	version = "2020-08-05-62f7f11" ;

	src = fetchFromGitHub {
		owner = "xtream1101" ;
		repo = "s3-tar" ;
		rev = "62f7f1118f9e83724dbf9e8458b5505b3a0ba758" ;
		hash = "sha256-s2ei0joUNDZ2e18YbjMMlGOJpuMTFUwEjgRiUGb4EqI=" ;
	} ;

	dontPatch = true ;
	dontConfigure = true ;
	dontBuild = true ;

	installPhase = ''
		runHook preInstall

		mkdir -p $out/lib/python3.11/site-packages

		# Dependencies

		ln -s ${boto3}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/
		ln -s ${botocore}/lib/python3.11/site-packages/* $out/lib/python3.11/site-packages/

		# The package itself

		cp -r $src/s3_tar $out/lib/python3.11/site-packages/

		runHook postInstall
	'' ;
}
